Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package parser
  Definition Classes
    ast
-  trait Parsers extends Scanners with MarkupParsers with ParsersCommon

  Performs the following context-free rewritings:

  Performs the following context-free rewritings:

  - Places all pattern variables in Bind nodes. In a pattern, for identifiers `x`:

                      x  => x @ _
                    x:T  => x @ (_ : T)

  - Removes pattern definitions (PatDef's) as follows: If pattern is a simple (typed) identifier:

               val x = e     ==>  val x = e
               val x: T = e  ==>  val x: T = e

  if there are no variables in pattern

             val p = e  ==>  e match (case p => ())

  if there is exactly one variable in pattern

             val x_1 = e match (case p => (x_1))

  if there is more than one variable in pattern

             val p = e  ==>  private synthetic val t$ = e match (case p => (x_1, ..., x_N))
                             val x_1 = t$._1
                             ...
                             val x_N = t$._N

  - Removes function types as follows:

             (argtpes) => restpe   ==>   scala.Function_n[argtpes, restpe]

  - Wraps naked case definitions in a match as follows:

             { cases }   ==>   (x => x.match {cases}), except when already argument to match

  Definition Classes
    parser
-  class SourceFileParser extends Parser
  Definition Classes
    Parsers
- InfixMode
- ParserTreeBuilder
- PatternContextSensitive
- SeqContextSensitive
- noSeq
- outPattern
- seqOK
- symbXMLBuilder
- xmlSeqOK

o

scala.tools.nsc.ast.parser.Parsers.SourceFileParser

# symbXMLBuilder 

###

#### object symbXMLBuilder extends SymbolicXMLBuilder

Source
  Parsers.scala

Linear Supertypes
SymbolicXMLBuilder, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. symbXMLBuilder
2. SymbolicXMLBuilder
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  case class TextAttache (pos: Global.Position, text: String) extends Product with Serializable

   Attachment for trees deriving from text nodes (Text, CData, entities).

   Attachment for trees deriving from text nodes (Text, CData, entities). Used for coalescing.

   Definition Classes
     SymbolicXMLBuilder

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Comment(txt: Global.Tree): Global.Tree
   Attributes
     protected
   Definition Classes
     SymbolicXMLBuilder
5.  def ProcInstr(target: Global.Tree, txt: Global.Tree): Global.Tree
   Attributes
     protected
   Definition Classes
     SymbolicXMLBuilder
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def charData(pos: Global.Position, txt: String): Global.Tree
   Definition Classes
     SymbolicXMLBuilder
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  def comment(pos: Global.Position, text: String): Global.Tree
   Definition Classes
     SymbolicXMLBuilder
10.  def convertToTextPat(buf: Seq[Global.Tree]): List[Global.Tree]
    Attributes
      protected
    Definition Classes
      SymbolicXMLBuilder
11.  def convertToTextPat(t: Global.Tree): Global.Tree
    Attributes
      protected
    Definition Classes
      SymbolicXMLBuilder
12.  def element(pos: Global.Position, qname: String, attrMap: Map[String, Global.Tree], empty: Boolean, args: Seq[Global.Tree]): Global.Tree
    Definition Classes
      SymbolicXMLBuilder
13.  final def entityRef(pos: Global.Position, n: String): Global.Tree
    Definition Classes
      SymbolicXMLBuilder
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
18.  val global: Parsers.global.type
    Definition Classes
      symbXMLBuilder → SymbolicXMLBuilder
19.  def group(pos: Global.Position, args: Seq[Global.Tree]): Global.Tree

    Various node constructions.

    Various node constructions.

    Definition Classes
      SymbolicXMLBuilder
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
21.  def isEmptyText(t: Global.Tree): Boolean
    Definition Classes
      SymbolicXMLBuilder
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  def makeText1(txt: Global.Tree): Global.Tree
    Definition Classes
      SymbolicXMLBuilder
24.  def makeTextPat(txt: Global.Tree): Global.Apply
    Definition Classes
      SymbolicXMLBuilder
25.  def makeXMLpat(pos: Global.Position, n: String, args: Seq[Global.Tree]): Global.Tree

    Definition Classes
      SymbolicXMLBuilder
26.  def makeXMLseq(pos: Global.Position, args: Seq[Global.Tree]): Global.Block

    could optimize if args.length == 0, args.length == 1 AND args(0) is <: Node.

    could optimize if args.length == 0, args.length == 1 AND args(0) is <: Node.

    Definition Classes
      SymbolicXMLBuilder
27.  def mkXML(pos: Global.Position, isPattern: Boolean, pre: Global.Tree, label: Global.Tree, attrs: Global.Tree, scope: Global.Tree, empty: Boolean, children: Seq[Global.Tree]): Global.Tree

    Wildly wrong documentation deleted in favor of "self-documenting code."

    Wildly wrong documentation deleted in favor of "self-documenting code."

    Attributes
      protected
    Definition Classes
      SymbolicXMLBuilder
28.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  final def notify(): Unit
    Definition Classes
      AnyRef
30.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
31.  def parseAttribute(pos: Global.Position, s: String): Global.Tree
    Definition Classes
      SymbolicXMLBuilder
32.  def procInstr(pos: Global.Position, target: String, txt: String): Global.Tree
    Definition Classes
      SymbolicXMLBuilder
33.  def splitPrefix(name: String): (Option[String], String)

    Returns (Some(prefix) | None, rest) based on position of ':'

    Returns (Some(prefix) | None, rest) based on position of ':'

    Definition Classes
      SymbolicXMLBuilder
34.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
35.  final def text(pos: Global.Position, txt: String): Global.Tree
    Definition Classes
      SymbolicXMLBuilder
36.  def toString(): String
    Definition Classes
      AnyRef → Any
37.  def unparsed(pos: Global.Position, str: String): Global.Tree
    Definition Classes
      SymbolicXMLBuilder
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from SymbolicXMLBuilder

### Inherited from AnyRef

### Inherited from Any

### Ungrouped